Subject: bug#61151: 30.0.50; sqlite-more-p is confusing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Jan 2023 18:48:31 +0200

> From: Helmut Eller <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 29 Jan 2023 17:05:07 +0100
> 
> On Sun, Jan 29 2023, Eli Zaretskii wrote:
> 
> > I'm not sure I understand why you need sqlite-more-p here.
> > sqlite-next returns nil when it hits the end, so it should be enough.
> > If we document this fact in the doc string of sqlite-next, would that
> > be good enough to satisfy your use cases?
> 
> Yes, I guess it would be possible to get rid of sqlite-more-p.
> 
> However, sqlite-next seems to return nil once, but then it starts over.

This should be easy to fix.

> In summary, I think that sqlite-next should signal and error instead of
> returning nil.

I think we can only signal an error if sqlite-next is called again
after it returned nil, otherwise it is not justified.  But I'm not an
expert on databases, so maybe I'm missing something.

> And sqlite-more-p should be used to detect the end of
> the stream.

I don't think it's possible without trying to read.